%global debug_package %{nil}

%global collection_namespace redhat
%global collection_name satellite
%global collection_directory %{_datadir}/ansible/collections/ansible_collections/%{collection_namespace}/%{collection_name}

%global release 3

Name:       ansible-collection-%{collection_namespace}-%{collection_name}
Version:    3.6.0
Release:    %{?prerelease:0.}%{release}%{?prerelease}%{?nightly}%{?dist}
Summary:    Red Hat Satellite Ansible Modules Collection

License:    GPLv3+
URL:        https://github.com/RedHatSatellite/satellite-ansible-collection
Source0:    https://github.com/RedHatSatellite/satellite-ansible-collection/releases/download/%{version}/%{collection_namespace}-%{collection_name}-%{version}.tar.gz
BuildArch:  noarch

Provides: ansible-collection(%{collection_namespace}.%{collection_name}) = %{version}
Provides: ansible-collection-theforeman-foreman = %{version}
Provides: bundled(python-apypie) = 0.3.2

%if 0%{?rhel} == 7
Requires: ansible >= 2.9
Requires: python2-requests >= 2.4.2
Requires: python-ipaddress
Requires: PyYAML
%else
Requires: (ansible >= 2.9 or ansible-core)
Requires: (python3-requests if ansible)
Requires: (python3-pyyaml if ansible)
Requires: (python38-requests if ansible-core < 2.13)
Requires: (python38-pyyaml if ansible-core < 2.13)
Requires: (python39-requests if ansible-core >= 2.13)
Requires: (python39-pyyaml if ansible-core >= 2.13)
%endif

%description
Collection of Ansible Modules to manage Satellite installations.

%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{collection_directory}
cp -a ./* %{buildroot}%{collection_directory}



%files
%{collection_directory}/
%license %{collection_directory}/LICENSE
%doc %{collection_directory}/README.md



%changelog
* Thu Oct 20 2022 Odilon Sousa <osousa@redhat.com> - 3.6.0-3
- BZ#2132999 - Satellite can not be installed on RHEL 8.7
- Use the right operator for python-requests and pyyaml for ansible-core < 2.13

* Wed Oct 19 2022 Odilon Sousa <osousa@redhat.com> - 3.6.0-2
- BZ#2132999 - Satellite can not be installed on RHEL 8.7
- Requires python39-requests and python39-pyyaml for ansible-core >= 2.13

* Thu Oct 06 2022 Odilon Sousa <osousa@redhat.com> - 3.6.0-1
- Release ansible-collection-redhat-satellite 3.6.0

* Wed Apr 06 2022 Evgeni Golov - 3.3.0-1
- Release ansible-collection-redhat-satellite 3.3.0

* Fri Jan 28 2022 Evgeni Golov - 3.1.0-1
- Release ansible-collection-redhat-satellite 3.1.0

* Mon Nov 29 2021 Evgeni Golov - 3.0.0-1
- Release ansible-collection-redhat-satellite 3.0.0

* Mon Sep 20 2021 Zach Huntington-Meath - 2.2.0-1
- BZ #1997724 - Updating a hostgroup with AK via parameters fails if AK alredy exists

* Wed Jul 21 2021 Evgeni Golov - 2.1.2-1
- Release ansible-collection-redhat-satellite 2.1.2

* Thu Jun 24 2021 Evgeni Golov - 2.1.1-1
- Release ansible-collection-redhat-satellite 2.1.1

* Fri May 21 2021 Evgeni Golov - 2.1.0-1
- Release ansible-collection-redhat-satellite 2.1.0

* Wed Mar 03 2021 Evgeni Golov - 2.0.1-1
- Release ansible-collection-redhat-satellite 2.0.1

* Mon Dec 14 2020 Evgeni Golov - 1.5.1-1
- Release ansible-collection-redhat-satellite 1.5.1

* Thu Dec 10 2020 Evgeni Golov - 1.5.0-1
- Release ansible-collection-redhat-satellite 1.5.0

* Wed Sep 23 2020 Evgeni Golov - 1.3.0-1
- Release ansible-collection-redhat-satellite 1.3.0

* Mon Sep 07 2020 Evgeni Golov - 1.2.0-1
- Release ansible-collection-redhat-satellite 1.2.0

* Tue Jul 14 2020 Evgeni Golov - 1.0.1-1
- Release ansible-collection-redhat-satellite 1.0.1

* Mon Jun 29 2020 Evgeni Golov - 1.0.0-1
- Release ansible-collection-redhat-satellite 1.0.0

* Fri May 08 2020 Evgeni Golov - 0.8.0-1
- Release ansible-collection-redhat-satellite 0.8.0
